Subject: Re: [tcpm] On allocating reserved bits in the TCP header

From: "Scharf, Michael" <[email-masked]>
Date: Mon, 4 Nov 2019 18:56:58 +0000

Bob,

Whether this question has been discussed on the mailing list in the last 2 years also does not matter. The answer may be no, but why would that matter? The interest in the working group in this document has been relatively low for quite some time, as far as I can tell. And the content of documents and the consensus in a working group can change over time. And note that the document is not in WGLC.

I have already mentioned that the nearing completion of 793bis is a perfect example for a new situation, because it allows another solution that was not really realistic earlier.

And there are other new ideas such as draft-gomez-tcpm-ack-pull, which are quite recent and maybe not really well understood. Is this not a new situation that needs to be taken into account when deciding on a bit allocation? That proposal was not known during IETF 99.

I suggest to look forward instead of backward.

Best regards

Michael

Von: Bob Briscoe<mailto:[email-masked]>
Gesendet: Montag, 4. November 2019 19:08
An: Scharf, Michael<mailto:[email-masked]>
Cc: Richard Scheffenegger<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Mirja Kuehlewind<mailto:[email-masked]>
Betreff: Re: [tcpm] On allocating reserved bits in the TCP header

Michael,

You said decisions are finalized on the ML. Then when I asked whether the decision had been questioned on the ML at the time 2 yrs ago, you didn't answer.

That begs an answer to my other question:

One then has to ask what new situation has arisen that makes this decision need to be revisited.

Bob
On 04/11/2019 16:39, Scharf, Michael wrote:
Bob,

The IETF consensus for RFC 8311 was to return the status of the bit to „reserved“ and this RFC was published by TSVWG, not by TCPM. I was not much in the loop, but I have agreed to the approach taken by RFC 8311 for the bit. The formal implications of the „reserved“ status according to RFC 8311 follow from RFC 2780, which does not foresee an IESG allocation.

I have already argued during IETF 99 for a standards track solution. By that time, this would have implied a new small PS document, not RFC8311. The other variant of using 793bis proposed by Joe has not really been realistic 2 years ago.

BTW, given the potential solution via 793bis, we are in a different situation now, no?

At the end of the day,  we need to find a solution that has strong TCPM consensus, or, better, even unanimous consensus. And, to me it sounds like a bad idea to have an IETF last call discussion about process violations for a document with possibly rather rough WG consensus, most notably regarding a change of the main TCP header that affects every single Internet device. I really suggest to think about alternatives.

Best regards

Michael

Von: Bob Briscoe<mailto:[email-masked]>
Gesendet: Montag, 4. November 2019 15:10
An: Scharf, Michael<mailto:[email-masked]>
Cc: Richard Scheffenegger<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Mirja Kuehlewind<mailto:[email-masked]>
Betreff: Re: [tcpm] On allocating reserved bits in the TCP header

Michael,

At the time, I had collected a list of possible process options, collected from the preceding ML discussions. I preferred including the AccECN assignment in RFC8311 (which was ending WGLC at that time). I do not recall you agreeing with me, although you are now arguing for the same process, but with a new PS RFC.

Was the decision questioned at the time on the mailing list (2 years ago) when it would have been timely to do so?

One then has to ask what new situation has arisen that makes this decision need to be revisited.

Bob
On 04/11/2019 02:00, Scharf, Michael wrote:
Bob,

With chair hat on: There was a discussion „in the room“ during IETF 99 and the outcome of a hum „in the room“ is documented in the minutes. In TCPM, consensus is confirmed on the list so that all contributors can comment. Please don’t refer to room discussions as working group „decisions“.

With chair hat off, I believe there was never a formal consensus decision in TCPM to explicitly violate RFCs. And, anyway, the working group could change past decisions, at least prior to completing a WGLC. In this specific case, as individual contributor, I explicitly and very strongly disagree to move forward with an invalid IANA considerations section.

Thanks

Michael

Von: Bob Briscoe<mailto:[email-masked]>
Gesendet: Sonntag, 3. November 2019 23:04
An: Scharf, Michael<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; Mirja Kuehlewind<mailto:[email-masked]>; Richard Scheffenegger<mailto:[email-masked]>
Betreff: Re: [tcpm] On allocating reserved bits in the TCP header

Michael,
On 03/10/2019 12:31, Lars Eggert wrote:

On 2019-9-10, at 13:50, Scharf, Michael <[email-masked]><mailto:[email-masked]> wrote:

In my reading of RFC 2780 and RFC 8126, it would be a policy violation to allocate a bit in the main TCP header to an experiment without a proper standards track document allowing this experimentation. I am convinced that for bits in the main TCP header the IETF should just follow its own rules.

Agreed.

Lars

If asked this question in isolation, I would go for a quick RFC. But this is not in isolation.

The decision on what process to use has already been made - in Jul 2017 at IETF-99 (it was for the IESG to be asked to make a process exception). This is just a choice between processes. There's no difference to the technical outcome. Please can we just do it the way we already decided to.

Altho I'm a Brit, I am not a fan of people trying to re-run a referendum decision 'cos they didn't get what they wanted in the previous one.

Background
This issue was extensively discussed already. After a long offlist thread with the author of RFC8311 and others, a thread on tsvwg ran betw 3 to 12 Jul 17:
    https://mailarchive.ietf.org/arch/msg/tsvwg/kUYwVJQXQfHztQzKtg7FfpSFSPM
This thread ends by deferring to a meeting arranged at IETF-99 during AD Office Hours, at which the tcpm chairs were represented.
The outcome of that meeting was to expect the AccECN draft to rename bit 7 and assign it to itself, which would need the IESG to agree a process exception. That outcome was recorded on this slide for discussion in the subsequent tcpm WG meeting:
    https://datatracker.ietf.org/meeting/99/materials/slides-99-tcpm-more-accurate-ecn-feedback-in-tcp-02#page=7
The tcpm minutes here:
    https://datatracker.ietf.org/meeting/99/materials/minutes-99-tcpm-00
record that "There is strong but not unanimous consensus in the room for assigning the codepoint."
and the process proposal remained unchanged: that the IESG would be asked to make a process exception.

I didn't like that decision either, but this is just process. Can we move on please.

Bob

--

________________________________________________________________

Bob Briscoe                               http://bobbriscoe.net/

_______________________________________________

tcpm mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/tcpm

--

________________________________________________________________

Bob Briscoe                               http://bobbriscoe.net/

--

________________________________________________________________

Bob Briscoe                               http://bobbriscoe.net/